Bug 832724 - unable to install qpid-cpp-server
unable to install qpid-cpp-server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qpid-cpp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
: Reopened
: 860330 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 16:25 EDT by Mohammed Arafa
Modified: 2015-06-21 20:07 EDT (History)
6 users (show)

See Also:
Fixed In Version: qpid-cpp-0.16-1.fc17.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 15:35:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2012-06-16 16:25:45 EDT
Description of problem:

it doesnt want to install!

[root@notebook ~]# yum install  qpid-cpp-server
Loaded plugins: fastestmirror, langpacks, presto, protectbase, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.its.dal.ca
 * rpmfusion-free: mirror.us.leaseweb.net
 * rpmfusion-free-updates: mirror.us.leaseweb.net
 * rpmfusion-nonfree: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates: mirror.us.leaseweb.net
 * updates: mirror.us.as6453.net
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package qpid-cpp-server.x86_64 0:0.16-1.fc17.2 will be installed
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package qpid-cpp-server.x86_64 0:0.16-1.fc17.2 will be installed
--> Finished Dependency Resolution
[root@notebook ~]# 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Hrivnak 2012-06-19 18:01:20 EDT
I believe this may be a bug in the spec file.  The "Obsoletes" line below seems to cause this package to instantly obsolete itself.

-------------- lines 177-179 from qpid-cpp.spec ---------------

%package -n qpid-cpp-server
Summary:   An AMQP message broker daemon
Obsoletes: qpid-cpp-server <= %{version}-%{release}
Comment 2 Michael Scherer 2012-06-25 16:43:46 EDT
For the record, rpmlint detect this error :
qpid-cpp-server.x86_64: W: self-obsoletion qpid-cpp-server <= 0.16-1.fc17.2 obsoletes qpid-cpp-server = 0.16-1.fc17.2

I guess that's just a typo, since the goal was to obsolete qpid-cpp-server-devel according to the changelog
Comment 3 Mohammed Arafa 2012-06-25 17:26:51 EDT
well this package is a dependency of openstack essex and it is stopping the installation of it on any fedora 17 system.
Comment 4 Michael Hrivnak 2012-06-25 17:38:51 EDT
FWIW, we are getting around this in F17 temporarily by downloading the package from a mirror and installing it manually:

$ sudo yum install qpid-cpp-client qpid-cpp-server # gets all dependencies
$ wget http://path/to/package/on/a/mirror
$ sudo rpm -i qpid-cpp-server-0.16-1.fc17.2.x86_64.rpm
Comment 5 Nuno Santos 2012-06-26 13:57:54 EDT
As of 2012-06-20, there is a new qpid-cpp-0.16-1.fc17.5 pushed to F17 that fixes this issue. Please give that a try.
Comment 6 Darryl L. Pierce 2012-06-26 14:30:13 EDT
Closing this since the fix was promoted to stable.
Comment 7 Darryl L. Pierce 2012-09-26 07:19:08 EDT
*** Bug 860330 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2012-09-26 07:55:51 EDT
qpid-cpp-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-2.fc17
Comment 9 Fedora Update System 2012-09-26 10:14:40 EDT
qpid-cpp-0.18-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-2.fc18
Comment 10 Fedora Update System 2012-09-26 17:21:41 EDT
Package qpid-cpp-0.18-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-cpp-0.18-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14840/qpid-cpp-0.18-2.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-10-10 08:07:20 EDT
qpid-cpp-0.18-3.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-3.1.fc18
Comment 12 Fedora Update System 2012-10-13 22:42:34 EDT
qpid-cpp-0.18-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-4.fc18
Comment 13 Fedora Update System 2012-10-16 13:14:59 EDT
qpid-cpp-0.18-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-5.fc18

Note You need to log in before you can comment on or make changes to this bug.